---
updatedAt: 2026-10-13T15:37:13.000Z
agentTools:
  projectIndex: https://developers.dailymotion.com/v0/llms.txt
---

# Generate download URLs

<Callout icon="🚀" theme="default">
  ### API v2 now available

  Visit the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/reference/introduction">API v2 documentation</Anchor> or follow the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/docs/migrating-from-legacy-api-to-api-v2">migration guide</Anchor> to upgrade.
</Callout>

<br />

<br />

***

<Callout icon="⭐" theme="default">
  ### Download URL is a plan feature

  Please reach out to your Dailymotion Account Manager to upgrade.
</Callout>

Download URLs allows Partners to programmatically **retrieve video files directly from Dailymotion's CDN** using the API.

This guide explains how to **generate downloadable video file URLs** for your content hosted on Dailymotion.

<br />

## Prerequisites

<Accordion title="Edge plan with add-on Stream URL feature">
  Reach out to your Dailymotion Customer Success Manager or our <Anchor target="_blank" href="https://faq.dailymotion.com/hc/requests/new">Support team</Anchor> if you need to add the feature to your plan.
</Accordion>

<Accordion title="Private API key with Generate stream URLs permission">
  In <Anchor target="_blank" href="https://www.dailymotion.com/partner/">Dailymotion Studio</Anchor> **> Organization settings > API keys > Create API key > Private API key >** Toggle on **"Generate stream URLs"**.


  <Image src="https://files.readme.io/4b2db95cd6aa15b88832327cef8c027a8921ffe2051f25d05e7adb89439c941a-Screenshot_2026-02-19_at_14.59.04.png" alt="Generate Stream URLs permission in Studio" align="center" width="500px" />

</Accordion>

<br />

## Download files from Dailymotion

### 1. Authenticate

Authenticate against the API using:

* Private API key with **"Generate stream URL"** permission.
* `client_credentials` grant type.
* `read_video_streams` scope.

```curl
curl --request POST \
     --url https://partner.api.dailymotion.com/oauth/v1/token \
     --header 'accept: application/json' \
     --header 'content-type: application/x-www-form-urlencoded' \
     --data grant_type=client_credentials \
     --data scope=read_video_streams \
     --data client_id=<CLIENT_ID> \
     --data client_secret=<CLIENT_SECRET>
```

<br />

### 2. Generate a file URL

Retrieve your video's file URL in the quality you need. Check [supported mp4 formats](https://developers.dailymotion.com/v0/docs/generate-download-urls#supported-mp4-formats).

```curl
curl --request GET \
     --url 'https://partner.api.dailymotion.com/rest/video/<VIDEO_ID>?fields=stream_h264_url%2Cstream_h264_hq_url' \ Add any mp4 video format needed
     --header 'authorization: Bearer <ACCESS_TOKEN>'
```

The response includes a file URL with a temporary security token.

<br />

### 3. Add `download` parameter

Append the retrieved file URL with `download=1` parameter to download the video file.

```
https://cdndirector.dailymotion.com/cdn/H264-512x384/video/<VIDEO_ID>.mp4?sec=<TOKEN>&download=1
```

<br />

## Supported MP4 formats

You can retrieve a file link in any of the mp4 quality below. Pass the API parameter(s) in `fields` in your request. 

| **Format** | **Quality** | **API parameter**        | **Resolution** | **W x H**   |
| :--------- | :---------- | :----------------------- | :------------- | :---------- |
| H264 (mp4) |             | `stream_h264_url`        | 380p           | 512 x 384   |
| H264 (mp4) | hq          | `stream_h264_hq_url`     | 480p           | 720 x 480   |
| H264 (mp4) | hd          | `stream_h264_hd_url`     | 720p           | 1280 x 720  |
| H264 (mp4) | hd1080      | `stream_h264_hd1080_url` | 1080p          | 1920 x 1080 |
| H264 (mp4) | qhd         | `stream_h264_qhd_url`    | 1440p          | 2560 x 1440 |
| H264 (mp4) | uhd         | `stream_h264_uhd_url`    | 2160p          | 3840 x 2160 |

If the selected format returns `null`, this indicates that the requested format is not available for the specified video.

<br />